/// <reference types="node" resolution-mode="require"/>
/**
 * @typedef {import('memfs').fs} memfs
 * @typedef {import('node:fs')} nodefs
 */
/**
 * Allow to be overridden by setter, set default to memfs for browser env, node:fs for node env
 */
export let fs: import("memfs").IFs | typeof import("node:fs");
export function setFs(_fs: memfs | nodefs): void;
export type memfs = import("memfs").IFs;
export type nodefs = typeof import("node:fs");
